Subject: Re: bug#19013: bug#19152: 25.0.50; Suggestions for M-x commands

From: Stefan Monnier <[email-masked]>
Date: Mon, 24 Nov 2014 09:57:11 -0500

> 	One more reason for the new features to provide a way for the
> 	user to opt out, – just in case they turn to be buggy.

Options to circumvent bugs are a bad idea, in general (with exceptions,
of course, like everything, such as when the bug is particularly hard to
fix, or occurs in some code we can't control).

>>> I believe there should be a variable to customize this behavior
>>> (say, suggest-shorter-command-limit; defaulting to 5, but with nil
>>> as an option to disable such suggestions altogether.)  As a
>>> workaround, I’ve simply disabled it entirely (see the patch MIMEd.)
>> I don't think that's needed.
> 	The mere fact that bug#19152 was filed suggests otherwise.

An option to turn the feature off is fine.  An option to choose the
number of chars we have to gain is not.

        Stefan